Retrieve a template
curl --request GET \
--url https://api.sendrealm.com/templates/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"channel": "<string>",
"status": "<string>",
"current_draft_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_published_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"current_draft_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"channel": "<string>",
"state": "<string>",
"label": "<string>",
"subject_template": "<string>",
"preview_text": "<string>",
"editor_json": {},
"rendered_html": "<string>",
"rendered_text": "<string>",
"default_locale": "<string>",
"messages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"restored_from_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"current_published_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"channel": "<string>",
"state": "<string>",
"label": "<string>",
"subject_template": "<string>",
"preview_text": "<string>",
"editor_json": {},
"rendered_html": "<string>",
"rendered_text": "<string>",
"default_locale": "<string>",
"messages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"restored_from_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"channel": "<string>",
"state": "<string>",
"label": "<string>",
"subject_template": "<string>",
"preview_text": "<string>",
"editor_json": {},
"rendered_html": "<string>",
"rendered_text": "<string>",
"default_locale": "<string>",
"messages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"restored_from_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Templates
Retrieve Template
Retrieve a single template.
GET
/
templates
/
{id}
Retrieve a template
curl --request GET \
--url https://api.sendrealm.com/templates/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"channel": "<string>",
"status": "<string>",
"current_draft_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_published_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"current_draft_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"channel": "<string>",
"state": "<string>",
"label": "<string>",
"subject_template": "<string>",
"preview_text": "<string>",
"editor_json": {},
"rendered_html": "<string>",
"rendered_text": "<string>",
"default_locale": "<string>",
"messages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"restored_from_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"current_published_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"channel": "<string>",
"state": "<string>",
"label": "<string>",
"subject_template": "<string>",
"preview_text": "<string>",
"editor_json": {},
"rendered_html": "<string>",
"rendered_text": "<string>",
"default_locale": "<string>",
"messages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"restored_from_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"channel": "<string>",
"state": "<string>",
"label": "<string>",
"subject_template": "<string>",
"preview_text": "<string>",
"editor_json": {},
"rendered_html": "<string>",
"rendered_text": "<string>",
"default_locale": "<string>",
"messages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"restored_from_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}⌘I